{# src/YL/PlatformBundle/Resources/view/Advert/view.html.twig #}
{% extends "YLPlatformBundle::layout.html.twig" %}

{% block title %}
  Lecture d'une annonce - {{ parent() }}
{% endblock %}

{% block header %}
    <div id="header" class="jumbotron">
        <h1>Quelques annonces... !!!</h1>
        <p>
        Working ...
        </p>
        <p>
            <a class="btn btn-primary btn-lg" href="http://localhost/sfproject/web/app_dev.php/">
                HOME ... !!!
            </a>
        </p>
    </div>
{% endblock %}
{% block menuPlatform %}
        <h3>Les annonces</h3>
        <ul class="nav nav-pills nav-stacked">
            <li><a href="{{ path('yl_platform_home') }}">Accueil</a></li>
            <li><a href="{{ path('yl_platform_add') }}">Ajouter une annonce</a></li>
            <li><a href="{{ path('yl_platform_fakeSpam') }}">Simuler un Spam</a></li>
        </ul>        
        <h4>Dernières annonces</h4>
        {% block menuDerniereAnn %}
            {{ render(controller("YLPlatformBundle:Advert:menu", {'limit': 3})) }}
        {% endblock %}    
{% endblock %} 
{% block ylplatform_body %}
    <section>
        {# On affiche tous les messages flash dont le nom est « info » #}
        {% for message in app.session.flashbag.get('info') %}
            <p>Message flash : {{ message }}</p>
        {% endfor %}
    </section>   
    <p>
        Ici nous pourrons lire l'annonce ayant comme id : {{ data.id }}<br />
        Mais pour l'instant, nous ne savons pas encore le faire, cela viendra !
    </p>
    <h2>{{ data.title }}</h2>
    <i>Par {{ data.author }}, le {{ data.date|date('d/m/Y') }}</i>

    <div class="well">
        {{ data.content }}
    </div>

    <p>
    <a href="{{ path('yl_platform_home') }}" class="btn btn-default">
        <i class="glyphicon glyphicon-chevron-left"></i>
        Retour à la liste
    </a>
    <a href="{{ path('yl_platform_edit', {'id': data.id}) }}" class="btn btn-default">
        <i class="glyphicon glyphicon-edit"></i>
        Modifier l'annonce
    </a>
    <a href="{{ path('yl_platform_delete', {'id': data.id}) }}" class="btn btn-danger">
        <i class="glyphicon glyphicon-trash"></i>
        Supprimer l'annonce
    </a>
    </p>
{% endblock %}
{% block footer %}
    {{ webmaster }} © {{ 'now'|date('Y') }} and beyond.    
{% endblock %}